Description 1
A value indicating the type of sensor error.
Sources for this description
NTCIP published standard MIB annexes (reviewed modules)
OID reference
1.3.6.1.4.1.1206.4.2.5.2.9.4.1.8
A value indicating the type of sensor error.
Identification
{1 3 6 1 4 1 1206 4 2 5 2 9 4 1 8}
| Value | Name |
|---|---|
| 1 | other |
| 2 | none |
| 3 | noResponse |
| 4 | cutCable |
| 5 | shortCircuit |
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In NTCIP1204-v04, the row index essSubSurfaceSensorIndex is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.1206.4.2.5.2.9.4.1.8.<essSubSurfaceSensorIndex>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.1206.4.2.5.2.9.4.1.8
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Available source records contain 5 distinct definitions; some records may not include a definition.
essSubSurfaceSensorError OBJECT-TYPE
SYNTAX INTEGER {other (1),
none (2),
noResponse (3),
cutCable (4),
shortCircuit (5)}
ACCESS read-only
STATUS mandatory
DESCRIPTION “A value indicating the type of sensor error.”
::= { essSubSurfaceSensorEntry 8}essSubSurfaceSensorError OBJECT-TYPE
SYNTAX INTEGER { other (1),
none (2),
noResponse (3),
cutCable (4),
shortCircuit (5)}
ACCESS read-only
STATUS mandatory
DESCRIPTION "<Definition>A value indicating the type of sensor error (OID
revised per errata).
<SetConstraint>read-only
<DescriptiveName>SubSurfaceSensor.error:code
<Valid Value Rule>
other - An error has been detected that is not defined by the standard; see
the manufacturer's documentation for more information.
none - No error is detected, the sensor appears to be working properly
noResponse - The sensor is configured and is believed to be connected, but is
not responding
cutCable - The sensor is not configured, not present or not fully connected,
perhaps because the cable was cut
shortCircuit - The sensor input has detected a short-circuit.
<Data Concept Type>Data Element"
::= { essSubSurfaceSensorEntry 8 }essSubSurfaceSensorError OBJECT-TYPE
SYNTAX INTEGER { other (1),
none (2),
noResponse (3),
cutCable (4),
shortCircuit (5)}
ACCESS read-only
STATUS mandatory
DESCRIPTION "<Definition>A value indicating the type of sensor error.
<SetConstraint>read-only
<DescriptiveName>SubSurfaceSensor.error:code
<Valid Value Rule>
other - An error has been detected that is not defined by the standard; see
the manufacturer's documentation for more information.
none - No error is detected, the sensor appears to be working properly
noResponse - The sensor is configured and is believed to be connected, but is
not responding
cutCable - The sensor is not configured, not present or not fully connected,
perhaps because the cable was cut
shortCircuit - The sensor input has detected a short-circuit.
<Data Concept Type>Data Element"
::= { essSubSurfaceSensorEntry 8 }essSubSurfaceSensorError OBJECT-TYPE
SYNTAX INTEGER { other (1),
none (2),
noResponse (3),
cutCable (4),
shortCircuit (5)}
ACCESS read-only
STATUS mandatory
DESCRIPTION "<Definition>A value indicating the type of sensor error.
<DescriptiveName>SubSurfaceSensor.error:code
<Valid Value Rule>
other - An error has been detected that is not defined by the standard; see the manufacturer's documentation for more information.
none - No error is detected, the sensor appears to be working properly
noResponse - The sensor is configured and is believed to be connected, but is not responding
cutCable - The sensor is not configured, not present or not fully connected, perhaps because the cable was cut
shortCircuit - The sensor input has detected a short-circuit.
<Data Concept Type>Data Element
<Object Identifier> 1.3.6.1.4.1.1206.4.2.5.2.9.4.1.8"
::= { essSubSurfaceSensorEntry 8 }essSubSurfaceSensorError OBJECT-TYPE
SYNTAX INTEGER { other (1),
none (2),
noResponse (3),
cutCable (4),
shortCircuit (5)}
ACCESS read-only
STATUS mandatory
DESCRIPTION "<Definition>A value indicating the type of sensor error.
<DescriptiveName>SubSurfaceSensor.error:code
<Valid Value Rule>
other - An error has been detected that is not defined by the standard; see
the manufacturer's documentation for more information.
none - No error is detected, the sensor appears to be working properly
noResponse - The sensor is configured and is believed to be connected, but is
not responding
cutCable - The sensor is not configured, not present or not fully connected,
perhaps because the cable was cut
shortCircuit - The sensor input has detected a short-circuit.
<Data Concept Type>Data Element
<Object Identifier> 1.3.6.1.4.1.1206.4.2.5.2.9.4.1.8"
::= { essSubSurfaceSensorEntry 8 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Description 1
A value indicating the type of sensor error.
NTCIP published standard MIB annexes (reviewed modules)
Description 2
<Definition>A value indicating the type of sensor error (OID revised per errata). <SetConstraint>read-only <DescriptiveName>SubSurfaceSensor.error:code <Valid Value Rule> other - An error has been detected that is not defined by the standard; see the manufacturer's documentation for more information. none - No error is detected, the sensor appears to be working properly noResponse - The sensor is configured and is believed to be connected, but is not responding cutCable - The sensor is not configured, not present or not fully connected, perhaps because the cable was cut shortCircuit - The sensor input has detected a short-circuit. <Data Concept Type>Data Element
NTCIP published standard MIB annexes (reviewed modules)
Description 3
<Definition>A value indicating the type of sensor error. <SetConstraint>read-only <DescriptiveName>SubSurfaceSensor.error:code <Valid Value Rule> other - An error has been detected that is not defined by the standard; see the manufacturer's documentation for more information. none - No error is detected, the sensor appears to be working properly noResponse - The sensor is configured and is believed to be connected, but is not responding cutCable - The sensor is not configured, not present or not fully connected, perhaps because the cable was cut shortCircuit - The sensor input has detected a short-circuit. <Data Concept Type>Data Element
NTCIP published standard MIB annexes (reviewed modules)
Description 4
<Definition>A value indicating the type of sensor error. <DescriptiveName>SubSurfaceSensor.error:code <Valid Value Rule> other - An error has been detected that is not defined by the standard; see the manufacturer's documentation for more information. none - No error is detected, the sensor appears to be working properly noResponse - The sensor is configured and is believed to be connected, but is not responding cutCable - The sensor is not configured, not present or not fully connected, perhaps because the cable was cut shortCircuit - The sensor input has detected a short-circuit. <Data Concept Type>Data Element <Object Identifier> 1.3.6.1.4.1.1206.4.2.5.2.9.4.1.8
ITE public NTCIP working repository MIBsNTCIP published standard MIB annexes (reviewed modules)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: essSubSurfaceSensorError
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"essSubSurfaceSensorError",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"other",
"(",
"1",
")",
",",
"none",
"(",
"2",
")",
",",
"noResponse",
"(",
"3",
")",
",",
"cutCable",
"(",
"4",
")",
",",
"shortCircuit",
"(",
"5",
")",
"}",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"“",
"A",
"value",
"indicating",
"the",
"type",
"of",
"sensor",
"error",
".",
"”",
"::=",
"{",
"essSubSurfaceSensorEntry",
"8",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"other",
1
],
[
"none",
2
],
[
"noResponse",
3
],
[
"cutCable",
4
],
[
"shortCircuit",
5
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"A value indicating the type of sensor error."
],
null,
null,
null,
null
]
}Module: ESS-MIB
See published definition above
{'TMIB': ['devices'], 'NEMA_SMI': ['experimental'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['IpAddress', 'Counter'], 'RFC1158-SMI': ['DisplayString']}Source data warning: Recovered from a file whose complete MIB does not parse. The original assignment and definition are preserved. Registration and implementation details may be inaccurate; consult the original file. Other damaged or unresolved declarations are not established registrations.
Source data warning: This record is transcribed from a published NTCIP MIB annex. The downloadable text is a derived transcription with page furniture and section headings masked; the unmodified original PDF is authoritative. Native definitions, DESCRIPTION and STATUS are retained. A published object definition does not establish support by any particular device.
Source data warning: A typographic closing DESCRIPTION quotation delimiter occurs immediately at a native SMI field boundary. Normalize this delimiter only in the derived transcription; retain the literal published definition, full description and unchanged numeric assignments.
Source data warning: A typographic opening DESCRIPTION quotation delimiter occurs immediately at a native SMI field boundary. Normalize this delimiter only in the derived transcription; retain the literal published definition, full description and unchanged numeric assignments.
Source data warning: Potentially inaccurate interpretation of historical NTCIP namespace references: TMIB. These exact source files require the reviewed bindings shown below. The numeric roots used here are the explicit assignments in normative Annex A.2 of published NTCIP 8004 v02 (2010), physical pages 43–44. This does not establish that every historical module revision is identical. The annex also prints enterprise instead of RFC 1155 enterprises and declares Protocols while referencing protocols; those spelling interpretations are disclosed. The original IMPORTS, numeric suffixes and definitions remain unchanged. Verify both originals before implementation.
· Download NTCIP1204v0113c.pdf — ESS-MIB (MIB transcription)Related source files and packages:
Status in source: mandatory.
Names: essSubSurfaceSensorError
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"essSubSurfaceSensorError",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"other",
"(",
"1",
")",
",",
"none",
"(",
"2",
")",
",",
"noResponse",
"(",
"3",
")",
",",
"cutCable",
"(",
"4",
")",
",",
"shortCircuit",
"(",
"5",
")",
"}",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"<Definition>A value indicating the type of sensor error (OID revised per errata). <SetConstraint>read-only <DescriptiveName>SubSurfaceSensor.error:code <Valid Value Rule> other - An error has been detected that is not defined by the standard; see the manufacturer's documentation for more information. none - No error is detected, the sensor appears to be working properly noResponse - The sensor is configured and is believed to be connected, but is not responding cutCable - The sensor is not configured, not present or not fully connected, perhaps because the cable was cut shortCircuit - The sensor input has detected a short-circuit. <Data Concept Type>Data Element\"",
"::=",
"{",
"essSubSurfaceSensorEntry",
"8",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"other",
1
],
[
"none",
2
],
[
"noResponse",
3
],
[
"cutCable",
4
],
[
"shortCircuit",
5
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"<Definition>A value indicating the type of sensor error (OID revised per errata). <SetConstraint>read-only <DescriptiveName>SubSurfaceSensor.error:code <Valid Value Rule> other - An error has been detected that is not defined by the standard; see the manufacturer's documentation for more information. none - No error is detected, the sensor appears to be working properly noResponse - The sensor is configured and is believed to be connected, but is not responding cutCable - The sensor is not configured, not present or not fully connected, perhaps because the cable was cut shortCircuit - The sensor input has detected a short-circuit. <Data Concept Type>Data Element"
],
null,
null,
null,
null
]
}Module: NTCIP1204-v02
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['Counter'], 'RFC1213-MIB': ['DisplayString'], 'NTCIP8004-A-2004': ['ess', 'OerString']}Source data warning: This record is transcribed from a published NTCIP MIB annex. The downloadable text is a derived transcription with page furniture and section headings masked; the unmodified original PDF is authoritative. Native definitions, DESCRIPTION and STATUS are retained. A published object definition does not establish support by any particular device.
Source data warning: Potentially inaccurate interpretation of historical NTCIP namespace references: NTCIP8004-A-2004. These exact source files require the reviewed bindings shown below. The numeric roots used here are the explicit assignments in normative Annex A.2 of published NTCIP 8004 v02 (2010), physical pages 43–44. This does not establish that every historical module revision is identical. The annex also prints enterprise instead of RFC 1155 enterprises and declares Protocols while referencing protocols; those spelling interpretations are disclosed. The original IMPORTS, numeric suffixes and definitions remain unchanged. Verify both originals before implementation.
· Download NTCIP1204v0224r.pdf — NTCIP1204-v02 (MIB transcription)Related source files and packages:
Status in source: mandatory.
Names: essSubSurfaceSensorError
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"essSubSurfaceSensorError",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"other",
"(",
"1",
")",
",",
"none",
"(",
"2",
")",
",",
"noResponse",
"(",
"3",
")",
",",
"cutCable",
"(",
"4",
")",
",",
"shortCircuit",
"(",
"5",
")",
"}",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"<Definition>A value indicating the type of sensor error. <SetConstraint>read-only <DescriptiveName>SubSurfaceSensor.error:code <Valid Value Rule> other - An error has been detected that is not defined by the standard; see the manufacturer's documentation for more information. none - No error is detected, the sensor appears to be working properly noResponse - The sensor is configured and is believed to be connected, but is not responding cutCable - The sensor is not configured, not present or not fully connected, perhaps because the cable was cut shortCircuit - The sensor input has detected a short-circuit. <Data Concept Type>Data Element\"",
"::=",
"{",
"essSubSurfaceSensorEntry",
"8",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"other",
1
],
[
"none",
2
],
[
"noResponse",
3
],
[
"cutCable",
4
],
[
"shortCircuit",
5
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"<Definition>A value indicating the type of sensor error. <SetConstraint>read-only <DescriptiveName>SubSurfaceSensor.error:code <Valid Value Rule> other - An error has been detected that is not defined by the standard; see the manufacturer's documentation for more information. none - No error is detected, the sensor appears to be working properly noResponse - The sensor is configured and is believed to be connected, but is not responding cutCable - The sensor is not configured, not present or not fully connected, perhaps because the cable was cut shortCircuit - The sensor input has detected a short-circuit. <Data Concept Type>Data Element"
],
null,
null,
null,
null
]
}Module: NTCIP1204-v03
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['Counter'], 'RFC1213-MIB': ['DisplayString'], 'NTCIP8004v02': ['ess', 'OerString']}Source data warning: Recovered from a file whose complete MIB does not parse. The original assignment and definition are preserved. Registration and implementation details may be inaccurate; consult the original file. Other damaged or unresolved declarations are not established registrations.
Source data warning: This record is transcribed from a published NTCIP MIB annex. The downloadable text is a derived transcription with page furniture and section headings masked; the unmodified original PDF is authoritative. Native definitions, DESCRIPTION and STATUS are retained. A published object definition does not establish support by any particular device.
Source data warning: Potentially inaccurate interpretation of historical NTCIP namespace references: NTCIP8004v02. These exact source files require the reviewed bindings shown below. The numeric roots used here are the explicit assignments in normative Annex A.2 of published NTCIP 8004 v02 (2010), physical pages 43–44. This does not establish that every historical module revision is identical. The annex also prints enterprise instead of RFC 1155 enterprises and declares Protocols while referencing protocols; those spelling interpretations are disclosed. The original IMPORTS, numeric suffixes and definitions remain unchanged. Verify both originals before implementation.
· Download NTCIP1204v0308r3withErrata.pdf — NTCIP1204-v03 (MIB transcription)Related source files and packages:
Status in source: mandatory.
Names: essSubSurfaceSensorError
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"essSubSurfaceSensorError",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"other",
"(",
"1",
")",
",",
"none",
"(",
"2",
")",
",",
"noResponse",
"(",
"3",
")",
",",
"cutCable",
"(",
"4",
")",
",",
"shortCircuit",
"(",
"5",
")",
"}",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"<Definition>A value indicating the type of sensor error. <DescriptiveName>SubSurfaceSensor.error:code <Valid Value Rule> other - An error has been detected that is not defined by the standard; see the manufacturer's documentation for more information. none - No error is detected, the sensor appears to be working properly noResponse - The sensor is configured and is believed to be connected, but is not responding cutCable - The sensor is not configured, not present or not fully connected, perhaps because the cable was cut shortCircuit - The sensor input has detected a short-circuit. <Data Concept Type>Data Element <Object Identifier> 1.3.6.1.4.1.1206.4.2.5.2.9.4.1.8\"",
"::=",
"{",
"essSubSurfaceSensorEntry",
"8",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"other",
1
],
[
"none",
2
],
[
"noResponse",
3
],
[
"cutCable",
4
],
[
"shortCircuit",
5
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"<Definition>A value indicating the type of sensor error. <DescriptiveName>SubSurfaceSensor.error:code <Valid Value Rule> other - An error has been detected that is not defined by the standard; see the manufacturer's documentation for more information. none - No error is detected, the sensor appears to be working properly noResponse - The sensor is configured and is believed to be connected, but is not responding cutCable - The sensor is not configured, not present or not fully connected, perhaps because the cable was cut shortCircuit - The sensor input has detected a short-circuit. <Data Concept Type>Data Element <Object Identifier> 1.3.6.1.4.1.1206.4.2.5.2.9.4.1.8"
],
null,
null,
null,
null
]
}Module: NTCIP1204-v04
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['Counter'], 'RFC1213-MIB': ['DisplayString'], 'NTCIP8004v02': ['ess', 'OerString']}Source data warning: This original is published in an ITE NTCIP working repository. Repository publication does not establish that this particular revision is an adopted standard. Consult its native revision history and the NTCIP published standards catalog before implementation. Copyright and distribution notices are retained in the downloadable original.
Source data warning: Potentially inaccurate interpretation of historical NTCIP imports: the original references NTCIP8004v02, which is absent from the public repository snapshot. The numeric roots used here are the explicit assignments in normative Annex A.2 of published NTCIP 8004 v02 (2010), physical pages 43–44. This does not establish that every historical module revision is identical. The annex also prints enterprise instead of RFC 1155 enterprises and declares Protocols while referencing protocols; those spelling interpretations are disclosed. The original IMPORTS, numeric suffixes and definitions remain unchanged. Verify both originals before implementation.
· Download NTCIP-1204 — NTCIP1204-Ess.mibModule: NTCIP1204-v04
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['Counter'], 'RFC1213-MIB': ['DisplayString'], 'NTCIP8004v02': ['ess', 'OerString']}Source data warning: This record is transcribed from a published NTCIP MIB annex. The downloadable text is a derived transcription with page furniture and section headings masked; the unmodified original PDF is authoritative. Native definitions, DESCRIPTION and STATUS are retained. A published object definition does not establish support by any particular device.
Source data warning: The published normative SMI section omits its module END. The derived parser boundary is placed immediately before section 5.17, whose text explicitly says its items are not SNMP Objects. No declaration or numeric arc is added; the complete PDF is authoritative.
Source data warning: Potentially inaccurate interpretation of historical NTCIP namespace references: NTCIP8004v02. These exact source files require the reviewed bindings shown below. The numeric roots used here are the explicit assignments in normative Annex A.2 of published NTCIP 8004 v02 (2010), physical pages 43–44. This does not establish that every historical module revision is identical. The annex also prints enterprise instead of RFC 1155 enterprises and declares Protocols while referencing protocols; those spelling interpretations are disclosed. The original IMPORTS, numeric suffixes and definitions remain unchanged. Verify both originals before implementation.
· Download NTCIP-1204v0426b-2021_AsPublished.pdf — NTCIP1204-v04 (MIB transcription)Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.1206.4.2.5.2.9.4.1.1 | essSubSurfaceSensorIndex | 0 | 0 | |
| 1.3.6.1.4.1.1206.4.2.5.2.9.4.1.2 | essSubSurfaceSensorLocation | 0 | 0 | |
| 1.3.6.1.4.1.1206.4.2.5.2.9.4.1.3 | essSubSurfaceType | 0 | 0 | |
| 1.3.6.1.4.1.1206.4.2.5.2.9.4.1.4 | essSubSurfaceSensorDepth | 0 | 0 | |
| 1.3.6.1.4.1.1206.4.2.5.2.9.4.1.5 | essSubSurfaceTemperature | 0 | 0 | |
| 1.3.6.1.4.1.1206.4.2.5.2.9.4.1.7 | essSubSurfaceMoisture | 0 | 0 | |
| 1.3.6.1.4.1.1206.4.2.5.2.9.4.1.9 | essSubSurfaceSensorLatitude | 0 | 0 | |
| 1.3.6.1.4.1.1206.4.2.5.2.9.4.1.10 | essSubSurfaceSensorLongitude | 0 | 0 | |
| 1.3.6.1.4.1.1206.4.2.5.2.9.4.1.11 | essSubSurfaceSensorModelInformation | 0 | 0 |